Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		aMule 
Version:	2.2.6
Release:	1
Epoch:		1
License:	GNU/GPL 
URL:		http://www.amule.org
Group:		Networking/File Transfer
Source0:	%{name}-%{version}.tar.bz2
Patch0:		amule-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	aMule is a multi-platform eMule-like ed2k client.
Requires:	wxGTK
Requires:	libgd
Requires:	readline
Requires:	zlib
BuildRequires:	libgd-devel
BuildRequires:	readline-devel >= 5.0
BuildRequires:  cryptopp-devel

Obsoletes:	%{name}-webserver < %{version}-%{release}

BuildRequires: GeoIP-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libupnp-devel
BuildRequires: wxGTK-devel
BuildRequires: zlib-devel

%description
aMule is a multi-platform eMule-like ed2k client.
For more details see: http://www.amule.org

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
wx_config_args="--toolkit=gtk"
./configure --prefix=%_prefix \
--datadir=%_datadir \
--mandir=%_mandir \
--enable-dependency-tracking \
--disable-debug \
--enable-optimize \
--enable-amulecmdgui \
--enable-wxcas \
--enable-alc \
--with-gtk \
--enable-unicode \
--disable-compat24 \
--enable-ccache \
--enable-geoip \
--with-ccache-prefix=%_prefix/local/bin
make -j2

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/
%_libdir/
%_locale/
%_pixmaps/
%_applications/
%_datadir/doc/
%_datadir/amule/skins/
%_mandir/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.3-1
- version update
* Sat Sep 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.2-1
- version update
* Sun Jul 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.1-1
- version update
* Sat Jan 26 2008 Christian Metzen <metzench@ccux-linux.de> 2.1.3-4
- rebuild against gcc 4.1.2
* Sun Oct 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.1.3-3
- rebuilt against latest wxGTK
* Wed Oct 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-2
- rebuilt against binutils 2.18
* Mon Jun 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.3-1
- Version update, removed ccache buildrequire
* Thu Jun 01 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.2-2
- readded epoch:1, since no update was possible
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- Version update
* Thu Apr 27 2006 Christian Wasem <wasem@ccux-linux.de> 2.1.1-3
- rebuilt against wxGTK 2.6.3-2
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 2.1.1-2
- rebuilt against wxGTK 2.6.3, removed commandline-tools
- removed webserver and webserver package
* Sat Mar 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Sun Feb 05 2006 Christian Wasem <wasem@ccux-linux.de> 2.1.0-5
- rebuilt
* Sun Feb 05 2006 Christian Wasem <wasem@ccux-linux.de> 2.1.0-4
- rebuilt, moved man, doc, xchat-plugin, cmd & statistic-module
- to main package and deamon files are now in webserver package
* Sat Feb 04 2006 Christian Wasem <wasem@ccux-linux.de> 2.1.0-3
- rebuilt, corrected wrong written group
* Sat Jan 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-2
- disabled unicode
* Sun Jan 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version Update
* Wed Sep 28 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-6
- rebuilt against wxGTK
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.3-5
- added icon patch
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.3-4
- added more configure-options to spec-file,
- seperate packages in more subpackages
* Sun Jun 26 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-3
- rebuilt against binutils-2.16.1, libstdc++ 6
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.3-2
- rebuild for wxGTK 2.6.1
* Fri Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.3-1
- Version update to 2.0.3
* Mon Jun 13 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.0.2-1
- Version update to 2.0.2
* Wed May 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.1-1
- Version update to 2.0.1
* Wed May 04 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.0-2
- Fixed manpage location
* Tue May 03 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1
- Version update to 2.0.0, moved .desktop files to correct location
* Sun May 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.0rc8-2
- Recompilation against readline 5.0
* Mon Feb 07 2005 Christian Wasem <wasem@cux-linux.de> 2.0.0rc8-1
- Initial Release
